# User commands

MediaTomb 0.11.0 2008-02-23

    contact@mediatomb.cc

Sergey Bostandzhyan
Leonhard Wimmer
2005
Gena Batsyan
Sergey Bostandzhyan
2006-2008
Gena Batsyan
Sergey Bostandzhyan
Leonhard Wimmer

This manual page is part of MediaTomb.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

MEDIATOMB
1

# mediatomb

UPnP MediaServer

                mediatomb

                    -i IP address

                    -e interface

                    -p port

                    -c config file

                    -d

                    -m home dir

                    -f config dir

                    -P PID file

                    -u user

                    -g group

                    -a path

                    -l logfile

                    -D

                    --compile-info

                    --version

                    -h

## DESCRIPTION

This manual page describes the command line parameters for MediaTomb. For a detailed documentation please see the README file which is distributed with MediaTomb or visit http://mediatomb.cc/.

## OPTIONS

`-i`, `--ip`

  The server will bind to the given IP address, currently we can not bind to multiple interfaces so binding to 0.0.0.0 will not be possible.

`-e`, `--interface`

  The server will bind to the given network interface, currently we can only bind to one interface at a time.

`-p`, `--port`

  Specify the server port that will be used for the web user interface, for serving media and for UPnP requests, minimum allowed value is 49152. If this option is omitted a default port will be chosen, however, in this case it is possible that the port will change upon server restart.

`-c`, `--config`

  By default MediaTomb will search for a file named "config.xml" in the ~/.mediatomb directory. This option allows you to specify a config file by the name and location of your choice. The file name must be absolute.

`-d`, `--daemon`

  Run the server in background, MediaTomb will shutdown on SIGTERM, SIGINT and restart on SIGHUP.

`-m`, `--home`

  Specify an alternative home directory. By default MediaTomb will try to retrieve the users home directory from the environment, then it will look for a .mediatomb directory in users home. If .mediatomb was found we will try to find the default configuration file (config.xml), if not found we will create both, the .mediatomb directory and the default config file.

  This option is useful in two cases: when the home directory can not be retrieved from the environment (in this case you could also use -c to point MediaTomb to your configuration file or when you want to create a new configuration in a non standard location (for example, when setting up daemon mode). In the latter case you can combine this parameter with the parameter described in Section 5.6, "Config Directory"

`-f`, `--cfgdir`

  The default configuration directory is combined out of the users home and the default that equals to .mediatomb, this option allows you to override the default directory naming. This is useful when you want to setup the server in a nonstandard location, but want that the default configuration to be written by the server.

`-P`, `--pidfile`

  Specify a file that will hold the server process ID, the filename must be absolute.

`-u`, `--user`

  Run MediaTomb under the specified user name, this is especially useful in combination with the daemon mode.

`-g`, `--group`

  Run MediaTomb under the specified group, this is especially useful in combination with the daemon mode.

`-a`, `--add`

  Add the specified directory or file name to the database without UI interaction. The path must be absolute, if path is a directory then it will be added recursively. If path is a file, then only the given file will be imported.

`-l`, `--logfile`

  Do not output log messages to stdout, but redirect everything to a specified file.

`-D`, `--debug`

  Enable debug log output.

`--compile-info`

  Print the configuration summary (used libraried and enabled features) and exit.

`--version`

  Print version information and exit.

`-h`, `--help`

  Print a summary about the available command line options.